<app-nav-menu></app-nav-menu>
<!-- Form implementation -->
<h3 class="card-body text-info">Book store</h3>
<div class="container col-md-12"> 
  <div>
    <button (click)="addBook()" class="btn btn-info">New arrival</button>
  </div>
  <br>
  <div class="table-responsive table-container">  
    <table class="table table-hover table-striped">
      <thead class="thead-light">
        <tr>
          <th scope="col">Title</th>
          <th scope="col">Publisher</th>
          <th scope="col">Autor(s)</th>
          <th scope="col">Quantity</th>
          <th scope="col">Description</th>
          <th scope="col">Rent rule</th>
          <th scope="col">Action</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let book of books">
          <td>{{book.Title}}</td>
          <td>{{book.Publisher}}</td>
          <td>{{book.Autors}}</td>
          <td>{{book.Quantity}}</td> 
          <td>{{book.Description}}</td> 
          <td>{{book.RentRule}}</td>
          <td>
            <button (click)="updateBook(book)" style="margin-right: 10px" class="btn btn-info"> Edit</button>
            <button (click)="rentBook(book)" style="margin-right: 10px" class="btn btn-info"> Rent</button>
            <button (click)="writtingOffBook(book)" class="btn btn-info"> Writting off</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div> 
</div>

